> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-requests-overview/43.-query-get-fields.md).

# 43. Forespørgsel: Hent "Fields"

Forespørgsel, der henter brugerens "marker" filtreret efter `labels`, `farmUuid`, `fieldUuid`, `fieldName`. Markerne returneres i alfabetisk rækkefølge efter marknavn.

Markfilteret fungerer som en AND-betingelse. Du kan f.eks. filtrere efter `farmUuid` og efter `fieldUuid` og efter `labels` og efter `fieldName` i samme forespørgsel, bruge kun én filterbetingelse eller helt undlade betingelser.

Filtrering efter `fieldName` fungerer som `begins_with`.

Brug forespørgselsparameteren `pageSize`til at implementere sideinddeling. Svaret indeholder `lastEvaluatedKey` og `totalCount` hvor `lastEvaluatedKey` henviser til den sidste behandlede post, der opfylder filterbetingelsen, og `totalCount` er det samlede antal poster, der opfylder filterbetingelserne.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      name
      labels {
        name
        value
      }
      totalCount
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-requests-overview/43.-query-get-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
